package com.zjj.config;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport;


/**
 * @author wang_xy
 * @description
 * @Version 1.0
 * @params
 * @return
 * @since 2022/9/15 8:58
 */
@Configuration
public class WebMvcConfig extends WebMvcConfigurationSupport
{
    @Override
    public void addResourceHandlers(ResourceHandlerRegistry registry)
    {
        /*解释:
        /files/**: 相当于 别名的意思
        file:D:/图片/: 本地文件的路径*/
        registry.addResourceHandler("/leader/**").addResourceLocations("file:D:/home/wxy/upload/leaderAttach/");
        super.addResourceHandlers(registry);
    }
}
