package com.zjj.controller;

import com.zjj.config.FileUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.io.IOException;


/**
 * @author wang_xy
 * @description
 * @Version 1.0
 * @params
 * @return
 * @since 2022/9/15 8:58
 */
@RestController
public class FileController{

    @PostMapping(value="/upload",produces = "application/json;charset=utf-8")
    public String upload(MultipartFile file,String fileUrl ,HttpServletRequest req) {
        try {
            if (!file.isEmpty()) {
                // 文件保存路径
                // 转存文件
                FileUtils.createDirectory(fileUrl);
                File newFile = new File(fileUrl+file.getOriginalFilename());
                file.transferTo(newFile);
            }
        } catch (IOException e) {
            e.printStackTrace();
            return "上传失败！";
        }
        return null;
    }

}
